<template>
    <draggable
    :value="value"
      :list="list"
    >
      <div :key="el.id" v-for="el in list" class="w-full rounded-xl bg-slate-50">
        <AppCard class="w-full p-2 m-2 text-sm shadow-xl">
          <div class="flex justify-between">
            <div class="pt-1">
              <!-- <p v-if="!editItem"> {{el.title}}</p>
              <AppInput v-else :value="el.title" @change="todoTextChange" @keyup.enter="editList"></AppInput> -->
              <!-- <AppInput @change="todoTextChange" @keyup.enter="editList"> {{el.title}}</AppInput> -->
              {{el.title}}
            </div>
            <div>
              <AppButton label="Edit" class="inline-block mr-4" color="gray" @click="updateTodoList(el)"></AppButton>
              <AppButton class="inline-block" label="delete" color="red" @click="modalDelete=true"></AppButton>
          </div>
          </div>
        </AppCard>
        <AppNestedComponent class="item-sub" :list="el.childList" />
      </div>
      <AppModal v-if="modalDelete" @close="modalDelete = false" @click="deleteList(listId,todos)">
          <template v-slot:header>
              Delete this item?
          </template>
      </AppModal>
    </draggable>
</template>
  
<script>
import draggable from 'vuedraggable'
import AppCard from '@/components/base-components/AppCard.vue';
import AppButton from '@/components/base-components/AppButton.vue';
import AppModal from '@/components/base-components/AppModal.vue';
// import AppInput from '@/components/base-components/AppInput.vue'

export default {
    name: "AppNestedComponent",
    data() {
      return {
        modalDelete: false,
        modalEdit: false,
        editItem: false,
        todoText: ''
      }
    },
    components: {
      draggable, AppCard, AppButton, AppModal,
    },
    props: {
      list: {
        required: true,
        type: Array,
        default: null
      },
    },
    methods: {
      deleteList(listId, todos){
        const index = todos.findIndex((listArray) => listArray.id == listId.id)
        todos.splice(index,1)
      }
    }
  };
</script>

<style>
/* .item-container {
  max-width: 20rem;
  margin: 0;
}
.item {
  padding: 1rem;
  border: solid black 1px;
  background-color: #fefefe;
} */
.item-sub {
  margin: 0 0 0 1.5rem;
}
</style>